summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSolomon Choina2017-09-03 08:32:39 -0400
committerSolomon Choina2017-09-03 08:32:39 -0400
commit1550e444e25b849b23655008c468bdd98503b7eb (patch)
treeceee62ea379cacd9b98d375e2f798acf0c90c2b7
parentf7e1bfe98b898994086c3e9e4b694704b877d8f9 (diff)
downloadaur-1550e444e25b849b23655008c468bdd98503b7eb.tar.gz
removing vestiges of autotools
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD14
2 files changed, 8 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 90e79cd98c3..2670c21a3d1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Fri Aug 25 04:11:02 UTC 2017
+# Sun Sep 3 12:32:21 UTC 2017
pkgbase = entrance-git
pkgdesc = Enlightenment Display Manager
- pkgver = 0.0.99.r366.bc27fa9
+ pkgver = 0.1.r417.a085f13
pkgrel = 1
url = http://www.enlightenment.org/
arch = i686
@@ -13,7 +13,7 @@ pkgbase = entrance-git
depends = xorg-xauth
depends = sudo
optdepends = ekbd-git: For virtual keyboard
- provides = entrance=0.0.99.r366.bc27fa9
+ provides = entrance=0.1.r417.a085f13
conflicts = entrance
backup = etc/entrance/entrance.conf
source = git://github.com/Obsidian-StudiosInc/entrance
diff --git a/PKGBUILD b/PKGBUILD
index 5b72c252798..bc9deb58189 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
_pkgname=entrance
pkgname=$_pkgname-git
-pkgver=0.0.99.r366.bc27fa9
+pkgver=0.1.r417.a085f13
pkgrel=1
pkgdesc="Enlightenment Display Manager"
url="http://www.enlightenment.org/"
@@ -22,10 +22,10 @@ sha256sums=('SKIP')
pkgver() {
cd "$srcdir/$_pkgname"
-
- local v_ver=$(awk -F , '/^AC_INIT/ {gsub(/[\[\] -]/, ""); print $2}' configure.ac)
-
- printf "$v_ver.r$(git rev-list --count HEAD).$(git rev-parse --short HEAD)"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "0.1.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {
@@ -36,8 +36,6 @@ prepare() {
-i "$srcdir/$_pkgname/data/entrance.conf.in"
rm -rf build
mkdir "$srcdir/build"
- cd "$srcdir/$_pkgname"
- NOCONFIGURE=1 ./autogen.sh
}
build() {
@@ -58,8 +56,6 @@ package() {
DESTDIR="$pkgdir" ninja install
cd "$srcdir/$_pkgname"
-# install correct PAM file
- install -Dm644 "data/entrance.arch" "$pkgdir/etc/pam.d/entrance"
# install text files
install -d "$pkgdir/usr/share/doc/$_pkgname/"
install -Dm644 -t "$pkgdir/usr/share/doc/$_pkgname/" AUTHORS ChangeLog NEWS README